oracle.dbtools.plugin.api.jdbc

## Class ConnectionNotAvailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.SQLTransientException
        - - java.sql.SQLTransientConnectionException
          - - oracle.dbtools.plugin.api.jdbc.ConnectionNotAvailableException

- All Implemented Interfaces:
    Serializable, Iterable<Throwable>
  Direct Known Subclasses:
    DatabaseNotAvailableException, SchemaNotAvailableException

      public abstract class ConnectionNotAvailableException
      extends SQLTransientConnectionException

  Exception raised when a connection to a database or database schema cannot be made
  Author:
    cdivilly
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ConnectionNotAvailableException(String message, ConnectionNotAvailableReason reason, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionNotAvailableReason` | `reason()` The reason the connection could not be created

    - ### Methods inherited from class java.sql.SQLException

      `getErrorCode, getNextException, getSQLState, iterator, setNextException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### ConnectionNotAvailableException

          protected ConnectionNotAvailableException(String message,
                                                    ConnectionNotAvailableReason reason,
                                                    Throwable cause)

  - ### Method Detail

    - #### reason

          public ConnectionNotAvailableReason reason()

      The reason the connection could not be created
      Returns:
        `ConnectionNotAvailableReason` instance

Copyright © 2010, 2022, Oracle and/or its affiliates.